#!/bin/bash

set +e

TEMP=$(mktemp -d)

TAG=$(git tag -l | tail -n 1)
VERSION=${TAG:1:${#TAG}}
RELEASE=icecream-$VERSION

git archive --format=tar HEAD | tar x -C ${TEMP}

(cd ${TEMP} && autoreconf --install --force)

mv ${TEMP} ${RELEASE}
tar cfz ${RELEASE}.tar.gz ${RELEASE}

rm -rf ${RELEASE}
